<template>
  <div class="kit table simple">
    <div class="line title table">
      <div class="unit type">Тип</div>
      <div class="unit name">Наименование магазина/автотехцентра</div>
      <div class="unit address">Адрес</div>
      <div class="unit contacts">Контакты</div>
      <div class="unit action"/>
    </div>
    <div
      class="line body table"
      v-for="(item,index) in organizations"
      :key="index">
      <div class="unit type">
        <img
          v-if="item.type === 'sto'"
          svg-inline
          src="~/assets/svg/icons/i-sto.svg">
        <img
          v-if="item.type === 'shop'"
          svg-inline
          src="~/assets/svg/icons/i-shop.svg">
      </div>
      <div class="unit name">{{ item.name }}</div>
      <div class="unit address">{{ item.address }}</div>
      <div class="unit contacts">
        <div class="value">
          <div class="ellipsis">Телефон: {{ item.phones && item.phones[0] && item.phones[0].phone }}</div>
          <div class="ellipsis">e-mail: {{ item.email }}</div>
        </div>
      </div>
      <div class="unit action">
        <flink
          role="button"
          :href="href(item)"
          class="ui button blue mini circular">
          Подробнее
        </flink>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ResultsTableOrgSto',
  props: {
    organizations: {
      type: Array,
      default() { return []; },
    },
  },
  methods: {
    href(item) {
      const url = item.type === 'shop'
        ? `shop/update/${item.id}`
        : `sto/update/${item.id}`;

      return `/cabinet/wrench/organization-sto/${url}`;
    },
  },
};
</script>

<style scoped lang="postcss">
  .ellipsis {
    display: block;
    width: auto;
    max-width: 100%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }
  .kit.table.simple {
    display: flex;
    flex-flow: column wrap;
    justify-content: flex-start;
    align-items: center;
    padding: 0;
    width: 100%;
    margin: 0;
    border: 1px solid #9badb9;
    border-bottom: 0;

    .line.table {
      display: flex;
      flex-flow: row nowrap;
      align-items: stretch;
      justify-content: space-between;
      height: auto;
      width: 100%;
      padding: 0;
      border-bottom: 1px solid #9badb9;
      font-size: 0.8125rem;
      font-weight: 400;
      line-height: 1.3;
      &.body:hover {
        box-shadow: 0 4px 8px 0 rgba(96, 126, 146, 0.15);
      }
      .unit {
        display: inline-flex;
        justify-content: flex-start;
        align-items: center;
        overflow: hidden;
        &.name {
          width: calc(37% - 2.5rem);
        }
        &.type {
          width: 2.5rem;
        }
        &.address {
          width: 25%;
        }
        &.contacts {
          width: 24%;
        }
        &.action {
          width: 14%;
        }
      }
    }

    .line.title.table {
      width: 100%;
      max-height: 50px;
      text-align: left;
      font-size: 0.8125rem;
      font-weight: 500;
      padding: 0;
      color: #272727;
      background-color: #F4F4F4;
      .unit {
        padding: 0.5rem;
      }
    }

    .line.body.table {
      .unit {
        flex-flow: row wrap;
        padding: 1rem 0.5rem;
        font-size: 0.6875rem;
        font-weight: 400;
        color: #4a4a4a;
        .value {
          display: block;
          max-width: 100%;
        }
        .aqualink {
          display: block;
          font: inherit;
          padding-top: 0.25rem;
        }
        &.name {
          font-size: 0.8125rem;
          font-weight: 500;
          color: #272727;
        }
        &.type {
          .svg-fill {
            display: block;
            width: auto;
            height: 1.5rem;
            margin: 0 auto auto;
            fill: #9badb9;
          }
        }
        &.action {
          .button {
            min-width: 7rem;
          }
        }
      }
    }
  }

</style>
